## matita 0.99.1

=== Makefile ===
export SHELL=/bin/bash

include ../Makefile.defs

NULL =
H=@

ifeq ($(ANNOT),true)
  ANNOTOPTION = -dtypes
else
  ANNOTOPTION =
endif

OCAML_FLAGS = -pp $(CAMLP5O) -rectypes $(ANNOTOPTION) 
OCAMLDEP_FLAGS = -pp $(CAMLP5O) 
PKGS = -package "$(MATITA_REQUIRES)"
CPKGS = -package "$(MATITA_CREQUIRES)"
OCAML_THREADS_FLAGS = -thread
OCAML_DEBUG_FLAGS = -g
#OCAML_PROF=p -p a
#OCAMLOPT_DEBUG_FLAGS = -p
OCAMLC_FLAGS = $(OCAML_FLAGS) $(OCAML_THREADS_FLAGS)
OCAMLC = $(OCAMLFIND) ocamlc$(OCAML_PROF) $(OCAMLC_FLAGS) $(OCAML_DEBUG_FLAGS)
OCAMLOPT = $(OCAMLFIND) opt $(OCAMLC_FLAGS) $(OCAMLOPT_DEBUG_FLAGS)
OCAMLDEP = $(OCAMLFIND) ocamldep $(OCAMLDEP_FLAGS)
INSTALL_PROGRAMS= matita matitac
INSTALL_PROGRAMS_LINKS_MATITA= 
INSTALL_PROGRAMS_LINKS_MATITAC= matitaclean

MATITA_FLAGS = -noprofile
NODB=false
ifeq ($(NODB),true)
	MATITA_FLAGS += -nodb
endif

MLI = \
	lablGraphviz.mli	\
	matitaTypes.mli		\
	matitaMisc.mli		\
	applyTransformation.mli	\
	matitaEngine.mli	\
	matitaExcPp.mli 	\
	matitaInit.mli		\
	matitaGtkMisc.mli	\
	virtuals.mli 		\
	cicMathView.mli 	\
	predefined_virtuals.mli \
	matitaMathView.mli 	\
	matitaScript.mli	\
	matitaGui.mli		\
	$(NULL)
CMLI =				\
	matitaTypes.mli		\
	matitaMisc.mli		\
	applyTransformation.mli	\
	matitaEngine.mli	\
	matitaExcPp.mli 	\
	matitaInit.mli		\
	$(NULL)
MAINCMLI =			\
	matitaclean.mli		\
	$(NULL)
# objects for matita (GTK GUI)
ML = buildTimeConf.ml matitaGeneratedGui.ml $(MLI:%.mli=%.ml)
# objects for matitac (batch compiler)
CML = buildTimeConf.ml $(CMLI:%.mli=%.ml)
MAINCML = $(MAINCMLI:%.mli=%.ml)

PROGRAMS_BYTE = \
	matita matitac matitaclean
PROGRAMS = $(PROGRAMS_BYTE) 
PROGRAMS_OPT = $(patsubst %,%.opt,$(PROGRAMS_BYTE))
NOINST_PROGRAMS =
NOINST_PROGRAMS_OPT = $(patsubst %,%.opt,$(EXTRA_PROGRAMS))

.PHONY: all
all: $(PROGRAMS) $(NOINST_PROGRAMS)

CMOS = $(ML:%.ml=%.cmo)
CCMOS = $(CML:%.ml=%.cmo)
MAINCMOS = $(MAINCML:%.ml=%.cmo)
CMXS = $(patsubst %.cmo,%.cmx,$(CMOS))
CCMXS = $(patsubst %.cmo,%.cmx,$(CCMOS))
MAINCMXS = $(patsubst %.cmo,%.cmx,$(MAINCMOS))
$(CMOS) : $(LIB_DEPS)
$(CMXOS): $(LIBX_DEPS)

LIB_DEPS := $(shell $(OCAMLFIND) query -recursive -predicates "byte" -format "%d/%a" $(MATITA_REQUIRES))
LIBX_DEPS := $(shell $(OCAMLFIND) query -recursive -predicates "native" -format "%d/%a" $(MATITA_REQUIRES))
CLIB_DEPS := $(shell $(OCAMLFIND) query -recursive -predicates "byte" -format "%d/%a" $(MATITA_CREQUIRES))
CLIBX_DEPS := $(shell $(OCAMLFIND) query -recursive -predicates "native" -format "%d/%a" $(MATITA_CREQUIRES))
opt: $(PROGRAMS_OPT) $(NOINST_PROGRAMS_OPT)
upx: $(PROGRAMS_UPX)
.PHONY: opt upx

ifeq ($(HAVE_OCAMLOPT),yes)
world: depend.opt opt links
else
world: depend all
endif

#links %.opt -> %
links:
	$(H)for X in $(INSTALL_PROGRAMS_LINKS_MATITAC) \
			$(INSTALL_PROGRAMS_LINKS_MATITA); do\
		ln -sf $$X.opt $$X;\
	done
	$(H)ln -sf matita.opt matita
	$(H)ln -sf matitac.opt matitac

linkonly:
	$(H)echo "  OCAMLC matita.ml"
	$(H)$(OCAMLC) $(PKGS) -linkpkg -o matita $(CMOS) $(OCAML_DEBUG_FLAGS) matita.ml
	$(H)echo "  OCAMLC matitac.ml"
	$(H)$(OCAMLC) $(CPKGS) -linkpkg -o matitac $(CCMOS) $(MAINCMOS) $(OCAML_DEBUG_FLAGS) matitac.ml
.PHONY: linkonly
matita: matita.ml $(LIB_DEPS) $(CMOS)
	$(H)echo "  OCAMLC $<"
	$(H)$(OCAMLC) $(PKGS) -linkpkg -o $@ $(CMOS) matita.ml
matita.opt: matita.ml $(LIBX_DEPS) $(CMXS)
	$(H)echo "  OCAMLOPT $<"
	$(H)$(OCAMLOPT) $(PKGS) -linkpkg -o $@ $(CMXS) matita.ml

matitac: matitac.ml $(CLIB_DEPS) $(CCMOS) $(MAINCMOS)
	$(H)echo "  OCAMLC $<"
	$(H)$(OCAMLC) $(CPKGS) -linkpkg -o $@ $(CCMOS) $(MAINCMOS) matitac.ml
matitac.opt: matitac.ml $(CLIBX_DEPS) $(CCMXS) $(MAINCMXS)
	$(H)echo "  OCAMLOPT $<"
	$(H)$(OCAMLOPT) $(CPKGS) -linkpkg -o $@ $(CCMXS) $(MAINCMXS) matitac.ml

rottener: rottener.ml $(CLIB_DEPS) $(CCMOS) $(MAINCMOS)
	$(H)echo "  OCAMLC $<"
	$(H)$(OCAMLC) $(CPKGS) -package lablgtk2 -linkpkg -o $@ $(CCMOS) $(MAINCMOS) rottener.ml
rottener.opt: rottener.ml $(CLIBX_DEPS) $(CCMXS) $(MAINCMXS)
	$(H)echo "  OCAMLOPT $<"
	$(H)$(OCAMLOPT) $(CPKGS) -package lablgtk2 -linkpkg -o $@ $(CCMXS) $(MAINCMXS) rottener.ml
clean-rottened:
	find . -type f -name "*.ma.*.rottened" -exec rm {} \;

matitaclean: matitac
	$(H)test -f $@ || ln -s $< $@
matitaclean.opt: matitac.opt
	$(H)test -f $@ || ln -s $< $@

matitaGeneratedGui.ml: matita.glade.utf8
	$(H)$(LABLGLADECC) -embed $< > matitaGeneratedGui.ml

matita.glade.utf8: matita.glade
	$(H)xmllint --encode UTF8 $< > $@

.PHONY: clean
clean:
	$(H)rm -rf *.cma *.cmo *.cmi *.cmx *.cmxa *.a *.o \
		$(PROGRAMS) $(PROGRAMS_OPT) \
		rottener rottener.opt \
		$(NOINST_PROGRAMS) $(NOINST_PROGRAMS_OPT) \
		$(PROGRAMS_STATIC) \
		$(PROGRAMS_UPX) \
		*.stamp \
		$(NULL)

.PHONY: distclean
distclean: clean
	$(H)$(MAKE) -C dist/ clean
	$(H)rm -f matitaGeneratedGui.ml matitaGeneratedGui.mli
	$(H)rm -f buildTimeConf.ml
	$(H)rm -f matita.glade.bak matita.gladep.bak
	$(H)rm -f matita.conf.xml.sample
	$(H)rm -rf .matita

TEST_DIRS = 			\
	legacy                  \
	library 		\
	contribs/character      \
	tests 			\
	contribs/dama/dama	\
	contribs/assembly	\
	contribs/CoRN	 	\
	contribs/RELATIONAL	\
	contribs/LOGIC	       	\
	contribs/limits 	\
	$(NULL)

#	library_auto 			
TEST_DIRS_OPT = 		\
	$(TEST_DIRS)            \
#	contribs/LAMBDA-TYPES 	\
	$(NULL)

.PHONY: tests tests.opt cleantests cleantests.opt
tests: $(foreach d,$(TEST_DIRS),$(d)-test)
tests.opt: $(foreach d,$(TEST_DIRS_OPT),$(d)-test-opt)
cleantests: $(foreach d,$(TEST_DIRS),$(d)-cleantests)
cleantests.opt: $(foreach d,$(TEST_DIRS_OPT),$(d)-cleantests-opt)

%-test: matitac matitaclean 
	-cd $* && make -k clean all
%-test-opt: matitac.opt matitaclean.opt
	-cd $* && make -k clean.opt opt
%-cleantests: matitaclean
	-cd $* && make clean
%-cleantests-opt: matitaclean.opt
	-cd $* && make clean.opt

# {{{ Distribution stuff

dist_pre: matitaGeneratedGui.ml
	$(MAKE) -C dist/ dist_pre

WHERE = $(DESTDIR)/$(RT_BASE_DIR)
INSTALL_STUFF = 			\
	icons/ 				\
	help/ 				\
	matita.gtkrc 			\
	matita.lang 			\
	matita.ma.templ 		\
	matita.conf.xml 		\
	closed.xml 			\
	AUTHORS 			\
	LICENSE 			\
	$(NULL)

ifeq ($(HAVE_OCAMLOPT),yes)
INSTALL_STUFF_BIN = $(INSTALL_PROGRAMS:%=%.opt) 
else
INSTALL_STUFF_BIN = $(INSTALL_PROGRAMS)
endif

install-arch: install_preliminaries 
install-indep: 

install_preliminaries : install_preliminaries.stamp

install_preliminaries.stamp:
	$(H)install -d $(WHERE)/ma/
	$(H)cp -a $(INSTALL_STUFF) $(WHERE)
ifeq ($(HAVE_OCAMLOPT),yes)
	$(H)install -s $(INSTALL_STUFF_BIN) $(WHERE)
	$(H)for p in $(INSTALL_PROGRAMS); do ln -fs $$p.opt $(WHERE)/$$p; done
else
	$(H)install $(INSTALL_STUFF_BIN) $(WHERE)
endif
	$(H)for p in $(INSTALL_PROGRAMS_LINKS_MATITAC); do \
		ln -fs matitac $(WHERE)/$$p;\
	done
	$(H)for p in $(INSTALL_PROGRAMS_LINKS_MATITA); do \
		ln -fs matita $(WHERE)/$$p;\
	done
	$(H)cp -a lib $(WHERE)/lib

	$(H)touch install_preliminaries.stamp

uninstall:
	$(H)rm -rf $(WHERE)

STATIC_LINK = dist/static_link/static_link
# for matita
STATIC_LIBS =	\
	t1 t1x	\
	gtkmathview_gmetadom mathview mathview_backend_gtk mathview_frontend_gmetadom \
	gtksourceview-1.0 \
	gdome gmetadom_gdome_cpp_smart \
	stdc++ \
	mysqlclient \
	expat \
	$(NULL)
STATIC_EXTRA_LIBS = -cclib -lt1x -cclib -lstdc++
# for matitac & co
STATIC_CLIBS = \
	gdome \
	mysqlclient \
	$(NULL)
STATIC_CLIBS_PROVER = \
        $(STATIC_CLIBS) \
	z \
	pcre \
	expat \
	xml2 \
	glib-2.0 \
	$(NULL)
STATIC_EXTRA_CLIBS =
PROGRAMS_STATIC = $(patsubst %,%.static,$(PROGRAMS_OPT))
PROGRAMS_UPX = $(patsubst %,%.upx,$(PROGRAMS_STATIC))

ifeq ($(HAVE_OCAMLOPT),yes)
static: $(STATIC_LINK) $(PROGRAMS_STATIC)
else
upx:
	$(H)echo "Native code compilation is disabled"
static:
	$(H)echo "Native code compilation is disabled"
endif

$(STATIC_LINK):
	$(MAKE) -C dist/ $(STATIC_LINK)

matita.opt.static: $(STATIC_LINK) $(LIBX_DEPS) $(CMXS) matita.ml
	$(STATIC_LINK) $(STATIC_LIBS) -- \
		$(OCAMLOPT) $(PKGS) -linkpkg -o $@ $(CMXS) matita.ml \
		$(STATIC_EXTRA_LIBS)
	strip $@
matitac.opt.static: $(STATIC_LINK) $(CLIBX_DEPS) $(CCMXS) $(MAINCMXS) matitac.ml
	$(STATIC_LINK) $(STATIC_CLIBS) -- \
		$(OCAMLOPT) $(CPKGS) -linkpkg -o $@ $(CCMXS) $(MAINCMXS) matitac.ml \
		$(STATIC_EXTRA_CLIBS)
	strip $@
matitaclean.opt.static: matitac.opt.static
	$(H)test -f $@ || ln -s $< $@

%.upx: %
	cp $< $@
	strip $@
	upx $@

# }}} End of distribution stuff

# {{{ Deps and automatic rules 
tags: TAGS
.PHONY: TAGS
TAGS:
	$(H)cd ..; otags -vi -r components/ matita/

.PHONY: depend

depend: 
	$(H)echo "  OCAMLDEP"
	$(H)$(OCAMLDEP) *.ml *.mli > .depend
depend.opt: 
	$(H)echo "  OCAMLDEP -native"
	$(H)$(OCAMLDEP) -native *.ml *.mli > .depend.opt

# this should be sligtly better, since should work with 'make all opt'
MAKECMDGOALS_DELIM=$(addprefix _x_,$(addsuffix _x_,$(MAKECMDGOALS)))
ifneq (,$(findstring _x_all_x_,$(MAKECMDGOALS_DELIM)))
  # if we 'make all opt' the deps for 'all' should be fine also for opt
  # if we 'make opt all' it should not work...
  INCLUDE_MANDATORY=yes
  TO_INCLUDE+=.depend
  TO_DEPEND_ON=$(LIB_DEPS)
else ifneq (,$(findstring _x_opt_x_,$(MAKECMDGOALS_DELIM)))
  INCLUDE_MANDATORY=yes
  TO_INCLUDE+=.depend.opt
  TO_DEPEND_ON=$(LIBX_DEPS)
else ifneq (,$(findstring _x_world_x_,$(MAKECMDGOALS_DELIM)))
  ifeq ($(HAVE_OCAMLOPT),yes)
    INCLUDE_MANDATORY=yes
    TO_INCLUDE+=.depend.opt
    TO_DEPEND_ON=$(LIBX_DEPS)
  else
    INCLUDE_MANDATORY=yes
    TO_INCLUDE+=.depend
    TO_DEPEND_ON=$(LIB_DEPS)
  endif
else
  TO_INCLUDE+=.depend
  INCLUDE_MANDATORY=no
  TO_DEPEND_ON=$(LIB_DEPS)
endif

$(MLI:%.mli=%.cmi) $(ML:%.ml=%.cmo) $(ML:%.ml=%.cmx): $(TO_DEPEND_ON)

ifeq (no,$(INCLUDE_MANDATORY))
  -include $(TO_INCLUDE)
else
  include $(TO_INCLUDE)
endif

%.cmi: %.mli
	$(H)echo "  OCAMLC $<"
	$(H)$(OCAMLC) $(PKGS) -c $<
%.cmo %.cmi: %.ml
	$(H)echo "  OCAMLC $<"
	$(H)$(OCAMLC) $(PKGS) -c $<
%.cmx: %.ml
	$(H)echo "  OCAMLOPT $<"
	$(H)$(OCAMLOPT) $(PKGS) -c $<
%.annot: %.ml
	$(H)echo "  OCAMLC -dtypes $<"
	$(H)$(OCAMLC) -dtypes $(PKGS) -c $<

deps.ps: deps.dot
	dot -Tps -o $@ $<
deps.dot: .depend
	./dep2dot.rb < $< | tred > $@

# }}} End of deps and automatic rules

# vim: set foldmethod=marker:

=== binaries/Makefile ===
H=@

#CSC: saturate is broken after the huge refactoring of auto/paramodulation
#CSC: by Andrea
#BINARIES=extractor  table_creator  utilities saturate
#BINARIES=transcript

all: $(BINARIES:%=rec@all@%) 
opt: $(BINARIES:%=rec@opt@%)
depend: $(BINARIES:%=rec@depend@%)
depend.opt: $(BINARIES:%=rec@depend.opt@%)
install: $(BINARIES:%=rec@install@%)
uninstall: $(BINARIES:%=rec@uninstall@%)
clean: $(BINARIES:%=rec@clean@%) 

rec@%:
	$(H)$(MAKE) -C $(word 2, $(subst @, ,$*)) $(word 1, $(subst @, ,$*))

=== content/Makefile ===
PACKAGE = content
PREDICATES =

INTERFACE_FILES =		\
	content.mli		\
	notationUtil.mli	\
	notationEnv.mli	\
	notationPp.mli	\
	$(NULL)
IMPLEMENTATION_FILES =		\
	notationPt.ml	\
	$(INTERFACE_FILES:%.mli=%.ml)

include ../../Makefile.defs
include ../Makefile.common

=== content_pres/Makefile ===
PACKAGE = content_pres
PREDICATES =

INTERFACE_FILES =		 \
	renderingAttrs.mli	 \
	cicNotationLexer.mli	 \
	cicNotationParser.mli	 \
	mpresentation.mli	 \
	box.mli			 \
	content2presMatcher.mli	 \
	termContentPres.mli	 \
	boxPp.mli		 \
	cicNotationPres.mli	 \
	content2pres.mli	 \
	$(NULL)
IMPLEMENTATION_FILES =		 \
	$(INTERFACE_FILES:%.mli=%.ml)

cicNotationPres.cmi: OCAMLOPTIONS += -rectypes
cicNotationPres.cmo: OCAMLOPTIONS += -rectypes
cicNotationPres.cmx: OCAMLOPTIONS += -rectypes

all:
clean:

LOCAL_LINKOPTS = -package helm-content_pres -linkpkg

cicNotationLexer.cmo: OCAMLC = $(OCAMLC_P4)
cicNotationParser.cmo: OCAMLC = $(OCAMLC_P4)
cicNotationLexer.cmx: OCAMLOPT = $(OCAMLOPT_P4)
cicNotationParser.cmx: OCAMLOPT = $(OCAMLOPT_P4)
cicNotationLexer.ml.annot: OCAMLC = $(OCAMLC_P4)
cicNotationParser.ml.annot: OCAMLC = $(OCAMLC_P4)

include ../../Makefile.defs
include ../Makefile.common

# <cross> cross compatibility among ocaml 3.09 and ocaml 3.08, to be removed as
# soon as we have ocaml 3.09 everywhere and "loc" occurrences are replaced by
# "_loc" occurrences
UTF8DIR := $(shell $(OCAMLFIND) query helm-syntax_extensions)
ULEXDIR := $(shell $(OCAMLFIND) query ulex08)
MY_SYNTAXOPTIONS = -pp "camlp5o -I $(UTF8DIR) -I $(ULEXDIR) pa_extend.cmo pa_ulex.cma pa_unicode_macro.cma -loc loc"
cicNotationLexer.cmo: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
cicNotationParser.cmo: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
cicNotationLexer.cmx: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
cicNotationParser.cmx: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
cicNotationLexer.ml.annot: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
cicNotationParser.ml.annot: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
depend: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
depend.opt: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
# </cross>

=== contribs/Makefile ===
GOALS = all opt clean clean.opt

DEVELS = RELATIONAL LOGIC LAMBDA-TYPES assembly dama POPLmark CoRN character

$(GOALS): 
	@$(foreach DEVEL, $(DEVELS), $(MAKE) -C $(DEVEL) $@;) 

.PHONY: (GOALS)

.SUFFIXES:

=== disambiguation/Makefile ===
PACKAGE = disambiguation
INTERFACE_FILES =		\
	disambiguateTypes.mli	\
	disambiguate.mli \
	multiPassDisambiguator.mli
IMPLEMENTATION_FILES = \
	$(patsubst %.mli, %.ml, $(INTERFACE_FILES))

all:

clean:
distclean:

include ../../Makefile.defs
include ../Makefile.common

OCAMLARCHIVEOPTIONS += -linkall

disambiguateTypes.cmi: disambiguateTypes.mli
	@echo "  OCAMLC -rectypes $<"
	@$(OCAMLC) -c -rectypes $<
disambiguateTypes.cmo: disambiguateTypes.ml disambiguateTypes.cmi
	@echo "  OCAMLC -rectypes $<"
	@$(OCAMLC) -c -rectypes $<
disambiguateTypes.cmx: disambiguateTypes.ml disambiguateTypes.cmi
	@echo "  OCAMLOPT -rectypes $<"
	@$(OCAMLOPT) -c -rectypes $<

=== dist/Makefile ===
MYSQL_FLAGS = --extended_insert --lock-tables=off --no-create-info
DB = -u helm -h mowgli.cs.unibo.it matita
TABLE_CREATOR = ../../components/binaries/table_creator/table_creator
TABLES := $(shell $(TABLE_CREATOR) list all)
MANUAL_DIR = ../help/C
WEB_DIR = ../../../www/matita

all: static_link
clean: static_link_clean
.PHONY: static_link
static_link:
	$(MAKE) -C static_link/
static_link_clean:
	$(MAKE) -C static_link/ clean
dist: matita_stdlib.sql.gz
.PHONY: matita_stdlib.sql
matita_stdlib.sql:
	mysqldump $(MYSQL_FLAGS) $(DB) $(TABLES) > $@
%.gz: %
	gzip -c $< > $@

dist_pre:

=== extlib/Makefile ===
PACKAGE = extlib
PREDICATES =

INTERFACE_FILES =		\
	componentsConf.mli 	\
        hExtlib.mli		\
	hMarshal.mli 		\
	patternMatcher.mli	\
	hLog.mli 		\
	trie.mli 		\
	discrimination_tree.mli 		\
	hTopoSort.mli 		\
	graphvizPp.mli		\
	$(NULL)
IMPLEMENTATION_FILES = \
	$(INTERFACE_FILES:%.mli=%.ml)
EXTRA_OBJECTS_TO_INSTALL =
EXTRA_OBJECTS_TO_CLEAN =

include ../../Makefile.defs
include ../Makefile.common

=== getter/Makefile ===

PACKAGE = getter

INTERFACE_FILES =		\
  	http_getter_wget.mli	\
	http_getter_logger.mli	\
	http_getter_misc.mli	\
	http_getter_const.mli	\
	http_getter_env.mli	\
	http_getter_storage.mli	\
	http_getter_common.mli	\
	http_getter.mli		\
	$(NULL)

IMPLEMENTATION_FILES = \
	http_getter_types.ml \
	$(INTERFACE_FILES:%.mli=%.ml)

include ../../Makefile.defs
include ../Makefile.common

=== grafite/Makefile ===
PACKAGE = grafite
PREDICATES =

INTERFACE_FILES =		\
	grafiteAstPp.mli	\
	$(NULL)
IMPLEMENTATION_FILES =		\
	grafiteAst.ml		\
	$(INTERFACE_FILES:%.mli=%.ml)


include ../../Makefile.defs
include ../Makefile.common

=== grafite_engine/Makefile ===
PACKAGE = grafite_engine
PREDICATES =

INTERFACE_FILES = \
	grafiteTypes.mli \
	nCicCoercDeclaration.mli \
	grafiteEngine.mli \
	$(NULL)
IMPLEMENTATION_FILES = $(INTERFACE_FILES:%.mli=%.ml)

include ../../Makefile.defs
include ../Makefile.common

=== grafite_parser/Makefile ===
PACKAGE = grafite_parser
PREDICATES =

INTERFACE_FILES = 		\
	grafiteParser.mli		\
	print_grammar.mli 	\
	$(NULL)
IMPLEMENTATION_FILES = $(INTERFACE_FILES:%.mli=%.ml)

all:
clean:

# <cross> cross compatibility among ocaml 3.09 and ocaml 3.08, to be removed as
# soon as we have ocaml 3.09 everywhere and "loc" occurrences are replaced by
# "_loc" occurrences
UTF8DIR = $(shell $(OCAMLFIND) query helm-syntax_extensions)
ULEXDIR = $(shell $(OCAMLFIND) query ulex08)
MY_SYNTAXOPTIONS = -pp "camlp5o -I $(UTF8DIR) -I $(ULEXDIR) pa_extend.cmo pa_ulex.cma pa_unicode_macro.cma -loc loc"
grafiteParser.cmo: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
grafiteParser.cmx: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
depend: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
depend.opt: SYNTAXOPTIONS = $(MY_SYNTAXOPTIONS)
# </cross>
#
grafiteParser.cmo: OCAMLC = $(OCAMLC_P4)
grafiteParser.cmx: OCAMLOPT = $(OCAMLOPT_P4)

include ../../Makefile.defs
include ../Makefile.common

=== debian/changelog ===
matita (0.99.1-3) unstable; urgency=medium

  * Fix FTBFS w.r.t. lablgtk2 2.16 by updating findlinb name for gtksourceview
    (Closes: #731702) 
  * New patch to help the type checker in nCicUntrusted.set_kind

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 10 Dec 2013 20:15:50 +0100

matita (0.99.1-2) unstable; urgency=low

  * Fix clean target (Closes: 724163) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 02 Oct 2013 11:16:08 +0200

matita (0.99.1-1) unstable; urgency=low

  * New upstream release
  * Removed package matita-doc (doc is available via F1)
  * Switch to dh
  * Add matita.desktop
  * Remove the following patches (integrated upstream):
    - Fix-FTBFS-with-camlp5-6.05
    - matita.conf.xml.in
    - slist-sep
    - numbers
    - native-compilers
  * New patch 'configure' to avoid useless build-dep on mysql ocaml bindings
  * Cleanup debian 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 20:35:57 +0200

matita (0.5.8-4) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with camlp5 6.05 (Closes: #666594)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Apr 2012 12:15:20 +0200

=== debian/control ===
Source: matita
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends:
 ocaml (>= 3.10.2),
 ocaml-findlib (>= 1.2.1-2),
 libgdome2-ocaml-dev,
 liblablgtk2-ocaml-dev,
 libocamlnet-ocaml-dev,
 libzip-ocaml-dev,
 libhttp-ocaml-dev,
 ocaml-ulex08 (>= 0.8-4),
 libexpat-ocaml-dev,
 debhelper (>= 8),
 camlp5 (>= 5.04),
 liblablgtksourceview2-ocaml-dev,
 autoconf,
 help2man
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/matita.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/matita.git
Homepage: http://matita.cs.unibo.it

Package: matita
Architecture: any
Depends: ${shlibs:Depends}, ${interpreter:Depends}, ${misc:Depends}
Recommends: graphviz, yelp
Description: interactive theorem prover
 Matita is a graphical interactive theorem prover based on the Calculus of
 (Co)Inductive Constructions.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	autoconf
	./configure --with-runtime-dir=/usr/share/matita \
    		--prefix=/usr/ \
    		--with-dbhost=FAKE_HOST

override_dh_auto_clean:
	dh_auto_clean || true
	rm -f Makefile.defs components/extlib/componentsConf.ml config.log config.status configure matita/.depend.opt matita/help/C/version.txt matita/matita.conf.xml matita/matita.glade.utf8

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	cp matita/matita.byte debian/matita/usr/bin/ || true
	cp matita/matitac.byte debian/matita/usr/bin/ || true
	cp matita/matita.opt debian/matita/usr/bin/ || true
	cp matita/matitac.opt debian/matita/usr/bin/ || true
	mkdir -p debian/tmp/usr/share/man/man1/
	MATITA_RT_BASE_DIR=debian/tmp/usr/share/matita/ \
	help2man --name="Matita interative theorem prover - batch compiler" -N \
 		debian/tmp/usr/share/matita/matitac \
 		| gzip -9 > debian/tmp/usr/share/man/man1/matitac.1.gz
	MATITA_RT_BASE_DIR=debian/tmp/usr/share/matita/ \
 	help2man --name="Matita interative theorem prover - cleanup tool" -N \
 		debian/tmp/usr/share/matita/matitaclean \
 		| gzip -9 > debian/tmp/usr/share/man/man1/matitaclean.1.gz
	if [ -e  debian/tmp/usr/share/matita/matitac.opt ]; then\
 		ln -s /usr/share/man/man1/matitac.1.gz \
 			debian/tmp/usr/share/man/man1/matitac.opt.1.gz;\
 	fi
	# install .opt .byte (symlinks are installed with .install
	mkdir -p debian/matita/usr/bin/
	# make depend on the interpreter if needed
	if [ ! -e matita/matitac.opt ]; then \
	        echo "interpreter:Depends=ocaml-base-nox-$(shell ocamlc -version)" \
 	                >> debian/matita.substvars; \
 	else \
 	        echo "interpreter:Depends=" \
 	                >> debian/matita.substvars; \
 	fi

## matita 0.99.3

=== Makefile ===
H=@

include Makefile.defs

SUBDIRS = components matita

ifeq ($(DISTRIBUTED),yes)
# 'world' is the default target when distributed, otherwise 'all' is
world: depend $(foreach d,$(SUBDIRS),rec@world@$(d))
all: depend $(foreach d,$(SUBDIRS),rec@all@$(d))
opt: depend $(foreach d,$(SUBDIRS),rec@opt@$(d))
else
all: $(foreach d,$(SUBDIRS),rec@all@$(d))
opt: $(foreach d,$(SUBDIRS),rec@opt@$(d))
world: depend $(foreach d,$(SUBDIRS),rec@world@$(d))
endif
depend: depend-stamp
depend-stamp:
ifeq ($(HAVE_OCAMLOPT),yes)
 ifeq ($(DISTRIBUTED),yes)
	$(MAKE) $(foreach d,$(SUBDIRS),rec@depend.opt@$(d))
 else
	$(MAKE) $(foreach d,$(SUBDIRS),rec@depend@$(d))
 endif
else
	$(MAKE) $(foreach d,$(SUBDIRS),rec@depend@$(d))
endif
	$(H)touch depend-stamp

clean: 
	$(H)make $(foreach d,$(SUBDIRS),rec@clean@$(d)) || true
distclean: 
	$(H)make $(foreach d,$(SUBDIRS),rec@distclean@$(d)) || true
	$(H)rm -rf .matita library-stamp depend-stamp
install-indep: $(foreach d,$(SUBDIRS),rec@install-indep@$(d))
install-arch: $(foreach d,$(SUBDIRS),rec@install-arch@$(d))
install: install-indep install-arch
uninstall: $(foreach d,$(SUBDIRS),rec@uninstall@$(d))

rec@%:
	$(MAKE) -C $(word 2, $(subst @, ,$*)) $(word 1, $(subst @, ,$*)) DESTDIR=$(DESTDIR)

# {{{ Distribution stuff

ifeq ($(DISTRIBUTED),yes)
library: library-stamp
library-stamp:
	$(MAKE) -C matita/ dist_library
	touch $@
endif

BASENAME = matita
NULL =
DISTDIR = $(BASENAME)-$(MATITA_VERSION)
CLEAN_ON_DIST = 		\
	components/license	\
	matita/TPTP/		\
	matita/contribs/	\
	components/binaries/matitaprover/benchmarks/ \
	matita/library/		\
	matita/nlibrary/	\
	matita/scripts/	\
	matita/tests/	\
	matita/lib/lambdaN/	\
	matita/lib/lambda/	\
	$(NULL)
EXTRA_DIST = 			\
	matita/AUTHORS 		\
	matita/LICENSE 		\
	matita/dist/BUGS 	\
	matita/dist/ChangeLog	\
	matita/dist/COPYING 	\
	Makefile 		\
	Makefile.defs.in	\
	$(NULL)
EXTRA_DIST_matita =			\
	matita/matitaGeneratedGui.ml	\
	$(NULL)

distcheck: dist dist_extract dist_test

dist: dist_mktmpdir dist_pre dist_export dist_mktarball dist_rmtmpdir
dist/configure.ac: configure.ac matita/dist/configure.ac.sed
	sed -f matita/dist/configure.ac.sed < $< > $@
dist/configure: dist/configure.ac
	cd dist && autoconf
dist_mktmpdir:
	test -d dist || mkdir dist
dist_rmtmpdir:
	test -d dist && rm -rf dist/ || true
dist_pre:
	$(MAKE) -C matita dist_pre
dist_export: dist/configure
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	svn export components $(DISTDIR)/components
	svn export matita $(DISTDIR)/matita
	(cd $(DISTDIR) && find . -name .depend -exec rm \{\} \;)
	(cd $(DISTDIR) && find . -name .depend.opt -exec rm \{\} \;)
	(cd $(DISTDIR) && rm -rf $(CLEAN_ON_DIST))
	cp $< $(DISTDIR)/configure
	cp dist/configure.ac $(DISTDIR)/configure.ac 
	cp -r $(EXTRA_DIST) $(DISTDIR)
	cp -r $(EXTRA_DIST_matita) $(DISTDIR)/matita
	# distribute HTML version of the manual
	mkdir -p $(DISTDIR)/docs/manual/
	$(MAKE) -C matita/help/C/ install DESTDIR=$(CURDIR)/$(DISTDIR)/docs/manual/
dist_mktarball:
	tar czf $(DISTDIR).tar.gz $(DISTDIR)
	#tar cjf $(DISTDIR).tar.bz2 $(DISTDIR)
	rm -rf $(DISTDIR)

dist_extract:
	tar xzf $(DISTDIR).tar.gz
dist_test:
	(cd $(DISTDIR)/ \
	  && ./configure \
	  && $(MAKE) world \
	  && $(MAKE) install DESTDIR=`pwd`/install)

.PHONY: dist dist_export dist_mktarball distcheck dist_extract dist_test dist_autotools

# }}} End of distribution stuff

.PHONY: all opt clean distclean

# vim: set foldmethod=marker:

=== components/Makefile ===
H=@
export SHELL=/bin/bash

include ../Makefile.defs

# Warning: the modules must be in compilation order
NULL =
MODULES =			\
	extlib			\
	xml			\
	registry		\
	syntax_extensions	\
	thread			\
	logger			\
	ng_kernel		\
        ng_extraction           \
	getter			\
	library			\
	content		        \
	grafite			\
	ng_refiner              \
	ng_library 		\
	ng_cic_content		\
	disambiguation	        \
	ng_disambiguation	\
	ng_paramodulation	\
	content_pres		\
	grafite_parser          \
	ng_tactics		\
	grafite_engine          \
	$(NULL)

METAS = $(MODULES:%=METAS/META.helm-%)

ifeq ($(DISTRIBUTED),no)
	MODULES+=binaries
endif

all: metas $(MODULES:%=rec@all@%) 
opt: metas syntax-extensions $(MODULES:%=rec@opt@%)

ifeq ($(HAVE_OCAMLOPT),yes)
world: opt
else
world: all
endif
syntax-extensions:
	$(H)$(MAKE) -C syntax_extensions depend
	$(H)$(MAKE) -C syntax_extensions
depend: syntax-extensions $(MODULES:%=rec@depend@%)
depend.opt: syntax-extensions $(MODULES:%=rec@depend.opt@%)
install-arch: $(MODULES:%=rec@install@%)
install-indep:
uninstall: $(MODULES:%=rec@uninstall@%)
clean: $(MODULES:%=rec@clean@%) clean_metas

.stats: $(MODULES:%=rec@.stats@%)
	$(H)(for m in $(MODULES); do echo -n "$$m:"; cat $$m/.stats; done) \
	 | sort -t : -k 2 -n -r > .stats

rec@%:
	$(H)$(MAKE) -C $(word 2, $(subst @, ,$*)) $(word 1, $(subst @, ,$*))

EXTRA_DIST_CLEAN = \
	libraries-clusters.ps 	\
	libraries-clusters.pdf 	\
	libraries-ext.ps 	\
	libraries.ps 		\
	.dep.dot 		\
	.extdep.dot 		\
	.clustersdep.dot 	\
	$(NULL)

distclean: clean clean_metas
	$(H)rm -f $(METAS)
	$(H)rm -f configure config.log config.cache config.status
	$(H)rm -f $(EXTRA_DIST_CLEAN)

.PHONY: all opt world metas depend install uninstall clean clean_metas distclean

METAS/META.helm-%: METAS/meta.helm-%.src
	$(H)cp $< $@ && echo "directory=\"$(shell pwd)/$*\"" >> $@

SIMPLIFYDEPS = ../daemons/graphs/tools/simplify_deps/simplify_deps
$(SIMPLIFYDEPS):
	$(H)$(MAKE) -C $(dir $(SIMPLIFYDEPS))

.PHONY: .dep.dot
.dep.dot: $(SIMPLIFYDEPS)
	$(H)echo "digraph G {" > $@
	$(H)echo "   rankdir = TB ;" >> $@
	$(H)for i in $(MODULES); do \
		$(OCAMLFIND) query helm-$$i -recursive -p-format | \
		grep helm | \
		sed "s/^helm-/ \"$$i\" -> \"/g" | \
		sed "s/$$/\";/g" >> $@ ; \
	done
	$(H)mv $@ $@.old ; $(SIMPLIFYDEPS) < $@.old > $@ ; rm $@.old
	$(H)echo "}" >> $@

.PHONY: .alldep.dot
.alldep.dot:
	$(H)echo "digraph G {" > $@
	$(H)echo "   rankdir = TB ;" >> $@
	$(H)for i in $(MODULES); do \
		$(OCAMLFIND) query helm-$$i -recursive -p-format | \
			grep -v "pxp-" | \
			sed "s/^pxp/pxp[-*]/g" | \
			sed "s/^/ \"helm-$$i\" -> \"/g" | \
			sed "s/$$/\";/g" >> $@ ; \
	done
	$(H)mv $@ $@.old ; \
		./simplify_deps/simplify_deps.opt < $@.old > $@ ; \
		rm $@.old
	$(H)for i in $(MODULES); do \
		echo "\"helm-$$i\" [shape=box,style=filled,fillcolor=yellow];"\
			>> $@ ; \
	done
	$(H)echo "}" >> $@

.extdep.dot: .dep.dot
	$(H)STATS/patch_deps.sh $< $@
.clustersdep.dot: .dep.dot
	$(H)USE_CLUSTERS=yes STATS/patch_deps.sh $< $@

libraries.ps: .dep.dot
	$(H)dot -Tps -o $@ $<
libraries-ext.ps: .extdep.dot
	$(H)dot -Tps -o $@ $<
libraries-clusters.ps: .clustersdep.dot
	$(H)dot -Tps -o $@ $<
libraries-complete.ps: .alldep.dot
	$(H)dot -Tps -o $@ $<

ps: libraries.ps libraries-ext.ps libraries-clusters.ps

tags: TAGS
.PHONY: TAGS
TAGS:
	$(H)otags -vi -r .

metas: $(filter-out METAS/META.helm-binaries, $(METAS))

=== components/binaries/Makefile ===
H=@

#CSC: saturate is broken after the huge refactoring of auto/paramodulation
#CSC: by Andrea
#BINARIES=extractor  table_creator  utilities saturate transcript
#FG: my binaries
BINARIES=mac matex matitadep probe xoa

all: $(BINARIES:%=rec@all@%) 
opt: $(BINARIES:%=rec@opt@%)
depend: $(BINARIES:%=rec@depend@%)
depend.opt: $(BINARIES:%=rec@depend.opt@%)
install: $(BINARIES:%=rec@install@%)
uninstall: $(BINARIES:%=rec@uninstall@%)
clean: $(BINARIES:%=rec@clean@%) 

rec@%:
	$(H)$(MAKE) -C $(word 2, $(subst @, ,$*)) $(word 1, $(subst @, ,$*))

=== components/ng_extraction/Makefile ===
PACKAGE = ng_extraction
PREDICATES =

INTERFACE_FILES = \
	nCicExtraction.mli \
 	coq.mli \
 	ocamlExtractionTable.mli  \
	mlutil.mli \
 	common.mli \
 	extraction.mli \
 	ocaml.mli \
	ocamlExtraction.mli
#	extract_env.mli \

IMPLEMENTATION_FILES = \
   miniml.ml $(INTERFACE_FILES:%.mli=%.ml)
EXTRA_OBJECTS_TO_INSTALL = 
EXTRA_OBJECTS_TO_CLEAN =
%.cmo: OCAMLOPTIONS += -w Ae
%.cmi: OCAMLOPTIONS += -w Ae
%.cmx: OCAMLOPTIONS += -w Ae

include ../../Makefile.defs
include ../Makefile.common

=== components/ng_refiner/Makefile ===
PACKAGE = ng_refiner
PREDICATES =

INTERFACE_FILES = \
	nDiscriminationTree.mli \
	nCicMetaSubst.mli \
	nCicUnifHint.mli \
	nCicCoercion.mli \
  nCicRefineUtil.mli \
	nCicUnification.mli \
	nCicRefiner.mli

IMPLEMENTATION_FILES = \
  $(INTERFACE_FILES:%.mli=%.ml)
EXTRA_OBJECTS_TO_INSTALL = 
EXTRA_OBJECTS_TO_CLEAN =
%.cmo: OCAMLOPTIONS += -w Ae
%.cmi: OCAMLOPTIONS += -w Ae
%.cmx: OCAMLOPTIONS += -w Ae

include ../../Makefile.defs
include ../Makefile.common

=== components/registry/Makefile ===

PACKAGE = registry
INTERFACE_FILES = helm_registry.mli
IMPLEMENTATION_FILES = helm_registry.ml

include ../../Makefile.defs
include ../Makefile.common

=== components/syntax_extensions/Makefile ===
PACKAGE = utf8_macros
PREDICATES =
MAKE_TABLE_PACKAGES = helm-xml

# modules which have both a .ml and a .mli
INTERFACE_FILES = utf8Macro.mli 
IMPLEMENTATION_FILES = utf8MacroTable.ml $(INTERFACE_FILES:%.mli=%.ml)
EXTRA_OBJECTS_TO_INSTALL =
EXTRA_OBJECTS_TO_CLEAN =

all: utf8_macros.cma pa_unicode_macro.cma profiling_macros.cma

make_table: make_table.ml
	@echo "  OCAMLC $<"
	$(H)$(OCAMLFIND) ocamlc -rectypes -package $(MAKE_TABLE_PACKAGES) -linkpkg -o $@ $^

utf8MacroTable.ml:
	./make_table $@ $@.txt
utf8MacroTable.cmo: utf8MacroTable.ml
	@echo "  OCAMLC $<"
	$(H)@$(OCAMLFIND) ocamlc -c $<

pa_unicode_macro.cmo: pa_unicode_macro.ml utf8Macro.cmo
	@echo "  OCAMLC $<"
	$(H)@$(OCAMLFIND) ocamlc -rectypes -package camlp5 -pp "camlp5o q_MLast.cmo pa_extend.cmo -loc loc" -c $<
pa_unicode_macro.cma: utf8MacroTable.cmo utf8Macro.cmo pa_unicode_macro.cmo
	@echo "  OCAMLC -a $@"
	$(H)@$(OCAMLFIND) ocamlc -a -o $@ $^

profiling_macros.cmo: profiling_macros.ml
	@echo "  OCAMLC $<"
	$(H)@$(OCAMLFIND) ocamlc -package camlp5 -pp "camlp5o -loc loc" -c $<
profiling_macros.cma:profiling_macros.cmo
	@echo "  OCAMLC -a $@"
	$(H)@$(OCAMLFIND) ocamlc -a -o $@ $^
	

.PHONY: test
test: test.ml
	$(OCAMLFIND) ocamlc -package helm-utf8_macros -syntax camlp5o $< -o $@

clean:
distclean: extra_clean
extra_clean:
	rm -f make_table test

STATS_EXCLUDE = utf8MacroTable.ml

include ../../Makefile.defs
include ../Makefile.common

=== matita/lib/Makefile ===
#TARGET= extraction2.ma
#TARGET= extraction3.ma
#TARGET= basics/logic.ma
#TARGET= basics/types.ma
#TARGET= basics/deqsets.ma
#TARGET= basics/lists/list.ma
#TARGET= arithmetics/nat.ma
TARGET= turing/multi_universal/universal.ma

all:
	touch $(TARGET)
	#EXTRACT_HASKELL=1 ../matitac $(TARGET) 2> /tmp/foo.hs
	#cat preamble.hs /tmp/foo.hs > extraction.hs
	EXTRACT_OCAML=1 ../matitac $(TARGET)

opt:
	touch $(TARGET)
	#EXTRACT_HASKELL=1 ../matitac.opt $(TARGET) 2> /tmp/foo.hs
	#cat preamble.hs /tmp/foo.hs > extraction.hs
	EXTRACT_OCAML=1 ../matitac.opt $(TARGET)

.PHONY: all opt

# ghci extraction.hs
# Syntax for datatypes: data Foo = Zero | Succ Foo Foo

=== components/binaries/matex/Makefile ===
EXEC = matex
VERSION=0.1.0

REQUIRES = helm-ng_library

include ../Makefile.common

PROBE    = ../probe/probe.native
REGISTRY = $(RT_BASE_DIR)/matita.conf.xml test/basic_1.conf.xml
OBJS     = Make.objs
SRCS     = Make.srcs

DEVEL = ../../../matita/contribs/lambdadelta/basic_1/

test: test/$(SRCS)

test/$(OBJS): $(REGISTRY)
	@echo probe: $(DEVEL)
	$(H)$(PROBE) $(REGISTRY) -g $(DEVEL) -os > $@

test/$(SRCS): test/$(OBJS) $(REGISTRY) ./matex.native
	@echo MaTeX: processing $<
	$(H)./matex.native -O test -l $(SRCS) -p -g -a $(REGISTRY) `cat $<`

.PHONY: test

=== components/binaries/matitadep/Makefile ===
EXEC = matitadep
VERSION=0.1.0

REQUIRES =

include ../Makefile.common

=== components/binaries/probe/Makefile ===
EXEC = probe
VERSION=0.1.0

REQUIRES = helm-ng_library

include ../Makefile.common

=== components/binaries/test_lexer/Makefile ===
H=@

REQUIRES = helm-content_pres

INTERFACE_FILES = 
IMPLEMENTATION_FILES = $(INTERFACE_FILES:%.mli=%.ml) 
EXTRA_OBJECTS_TO_INSTALL =
EXTRA_OBJECTS_TO_CLEAN = \
	test_lexer test_lexer.opt

all: test_lexer
	$(H)echo -n
opt: test_lexer.opt
	$(H)echo -n

test_lexer: test_lexer.ml
	$(H)echo "    OCAMLC $<"
	$(H)$(OCAMLFIND) ocamlc \
		-I ../../tactics/paramodulation/ -rectypes -thread -package "$(REQUIRES)" -linkpkg -o $@ $<

test_lexer.opt: test_lexer.ml
	$(H)echo "    OCAMLOPT $<"
	$(H)$(OCAMLFIND) ocamlopt \
		-I ../../tactics/paramodulation/ -thread -package "$(REQUIRES)" -linkpkg -o $@ $<

clean:
	$(H)rm -f *.cm[iox] *.a *.o
	$(H)rm -f test_lexer test_lexer.opt

depend:
depend.opt:

include ../../../Makefile.defs

=== debian/changelog ===
matita (0.99.3-1) unstable; urgency=medium

  * New upstream release
  * Remove patch 0001-configure, applied upstream 
  * Remove patch 0002-Help-..., applied upstream 
  * New patch to remove dependency for mysql in configure.ac 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 24 May 2016 21:57:11 +0200
